Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slanst

    java.lang.Object
      org.netlib.lapack.Slanst

    public class Slanst

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANST  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  real symmetric tridiagonal matrix A.
     *
     *  Description
     *  ===========
     *
     *  SLANST returns the value
     *
     *     SLANST = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in SLANST as described
     *          above.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, SLANST is
     *          set to zero.
     *
     *  D       (input) REAL array, dimension (N)
     *          The diagonal elements of A.
     *
     *  E       (input) REAL array, dimension (N-1)
     *          The (n-1) sub-diagonal or super-diagonal elements of A.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slanst()`

Method Summary
`static float` | `slanst(java.lang.String norm, int n, float[] d, int _d_offset, float[] e, int _e_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slanst

    public Slanst()

Method Detail

### slanst

    public static float slanst(java.lang.String norm,
                               int n,
                               float[] d,
                               int _d_offset,
                               float[] e,
                               int _e_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD